%global _disable_ld_no_undefined 1

%global _udevrulesdir /usr/lib/udev

%define oname	ModemManager

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{oname}/.*\\.so

%define api		1.0
%define major		0
%define glibname	%mklibname mm-glib %{major}
%define glibdevel	%mklibname mm-glib -d
%define girname		%mklibname %{name}-gir %{api}

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	1.22.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Networking
URL:		https://www.freedesktop.org/wiki/Software/ModemManager/
Source:		https://gitlab.freedesktop.org/mobile-broadband/ModemManager/-/archive/%{version}/ModemManager-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(mbim-glib)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(qmi-glib)
BuildRequires:	pkgconfig(vapigen)

Requires:	usb_modeswitch

%description
The %{oname} service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%package devel
Summary:	Headers for adding %{oname} support to applications
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains various headers for accessing some %{oname} functionality
from applications.

%package -n %{girname}
Summary:	GObject introspection interface for %{oname}
Group:		System/Libraries
Requires:	%{glibname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface for %{oname}.

%package -n %{glibname}
Summary:	Libraries for adding %{oname} support to applications that use glib
Group:		System/Libraries

%description -n %{glibname}
This package contains the libraries that make it easier to use some %{oname}
functionality from applications that use glib.

%package -n %{glibdevel}
Summary:	Libraries and headers for adding %{oname} support to applications that use glib
Group:		System/Libraries
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{glibname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{glibdevel}
This package contains various headers for accessing some %{oname} functionality
from glib applications.

%prep
%setup -q -n %{oname}-%{version}

%build
%meson \
  -Dudevdir=%{_udevrulesdir} \
  -Dsystemdsystemunitdir=%{_unitdir} \
  -Dpolkit=permissive \
  -Dintrospection=true \
  -Dvapi=true \
  -Dgtk_doc=true
%meson_build

%if 0
%check
%meson_test
%endif

%install
%meson_install

%find_lang %{name} --all-name

%post
%_post_service %{oname}

%preun
%_preun_service %{oname}

%files -f %{name}.lang
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.%{oname}1.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.%{oname}1.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.ModemManager1.policy
%{_sbindir}/%{oname}
%{_bindir}/mmcli
%{_udevrulesdir}/rules.d/*.rules
%{_unitdir}/%{oname}.service
%{_mandir}/man1/mmcli.1*
%{_mandir}/man8/*
%{_datadir}/icons/hicolor/22x22/apps/%{oname}.png
%{_datadir}/bash-completion/completions/mmcli
%{_datadir}/%{oname}/
#plugins
%{_libdir}/%{oname}/

%files devel
%doc %{_datadir}/gtk-doc/html/ModemManager/
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{oname}.pc

%files -n %{glibname}
%{_libdir}/libmm-glib.so.%{major}{,.*}

%files -n %{glibdevel}
%doc %{_datadir}/gtk-doc/html/libmm-glib/
%{_includedir}/libmm-glib/
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/mm-glib.pc
%{_datadir}/gir-1.0/%{oname}-%{api}.gir
%{_datadir}/vala/vapi/libmm-glib.*

%files -n %{girname}
%{_libdir}/girepository-1.0/%{oname}-%{api}.typelib


%changelog
* Sat Mar 30 2024 daviddavid <daviddavid> 1.22.0-1.mga10
+ Revision: 2053203
- new version 1.22.0

* Fri Jan 06 2023 wally <wally> 1.20.4-1.mga9
+ Revision: 1930824
- new version 1.20.4

* Sat Dec 10 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1920381
- new version 1.20.2
- switch to meson build

* Sun Apr 03 2022 umeabot <umeabot> 1.14.10-2.mga9
+ Revision: 1842323
- Mageia 9 Mass Rebuild

* Sun Jan 17 2021 wally <wally> 1.14.10-1.mga8
+ Revision: 1672153
- new version 1.14.10
- merge vala bindings into mm-glib devel pkg

* Wed Apr 22 2020 ovitters <ovitters> 1.10.0-3.mga8
+ Revision: 1570858
- rebuild for to test removal of deprecated macros

* Sat Feb 15 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1525295
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Apr 13 2019 wally <wally> 1.10.0-1.mga7
+ Revision: 1389676
- new version 1.10.0

* Sun Sep 23 2018 umeabot <umeabot> 1.6.12-2.mga7
+ Revision: 1299580
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 1.6.12-1.mga7
+ Revision: 1217596
- Update to version 1.6.12

* Sun Oct 22 2017 wally <wally> 1.6.10-1.mga7
+ Revision: 1173053
- new version 1.6.10

* Wed Sep 27 2017 wally <wally> 1.6.8-1.mga7
+ Revision: 1160478
- new version 1.6.8

* Sun Feb 19 2017 wally <wally> 1.6.4-2.mga6
+ Revision: 1086966
- new version 1.6.4
- drop gtk-doc docs

* Fri Aug 26 2016 wally <wally> 1.6.0-2.mga6
+ Revision: 1049132
- enable qmi support

* Fri Aug 26 2016 wally <wally> 1.6.0-1.mga6
+ Revision: 1049079
- new version 1.6.0
- use --with-suspend-resume=systemd configure option like upstrean suggests

* Wed Jan 27 2016 daviddavid <daviddavid> 1.4.12-1.mga6
+ Revision: 928052
- new version: 1.4.12

* Mon Jun 29 2015 wally <wally> 1.4.0-2.mga6
+ Revision: 847787
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 837813
- new version 1.4.0

* Sun Dec 07 2014 wally <wally> 1.2.0-7.mga5
+ Revision: 801978
- add post and preun scripts for systemd service (mga#14650)
- exclude plugin .so from provides
- fix libification of gir and glib lib pkgs
- drop unneeded dia BR
- tag docs as such

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 750746
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.2.0-5.mga5
+ Revision: 724944
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 682559
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 guillomovitch <guillomovitch> 1.2.0-3.mga5
+ Revision: 660751
- rebuild against latest libmbim

* Thu Aug 07 2014 fwang <fwang> 1.2.0-2.mga5
+ Revision: 660726
- rebuild for new libmbim

* Sat Feb 08 2014 dams <dams> 1.2.0-1.mga5
+ Revision: 585685
- new version 1.2.0
- adds gir interface
- adds vala bindings

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 535201
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 dams <dams> 1.0.0-2.mga4
+ Revision: 481532
- Disable polkit as requested on mga#9718

* Thu Aug 01 2013 guillomovitch <guillomovitch> 1.0.0-1.mga4
+ Revision: 462174
- new version
- drop unknown configure options

* Mon Jun 10 2013 dams <dams> 0.7.991-1.mga4
+ Revision: 441844
- update the way to enable doc
- update file list for systemd ModemManager.service
+ ovitters <ovitters>
- new version 0.7.991

* Tue May 28 2013 dams <dams> 0.7.990-1.mga4
+ Revision: 429000
- fix %%group
- fix %%file
- new version 0.7.990
- build without libqmi
- add 'devel', 'glib' and 'glib-devel' sub packages

* Tue Jan 22 2013 fwang <fwang> 0.6.0.0-3.mga3
+ Revision: 390924
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.6.0.0-2.mga3
+ Revision: 360188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 ovitters <ovitters> 0.6.0.0-1.mga3
+ Revision: 285478
- new version 0.6.0.0

* Thu Jul 19 2012 ovitters <ovitters> 0.5.995.0-1.mga3
+ Revision: 272468
- new version 0.5.995.0

* Thu Jul 19 2012 ovitters <ovitters> 0.5.3.96-1.mga3
+ Revision: 272463
- new version 0.5.3.96

* Wed Mar 14 2012 ovitters <ovitters> 0.5.2.0-1.mga3
+ Revision: 223383
- new version 0.5.2.0

* Mon Feb 27 2012 ovitters <ovitters> 0.5.1.97-1.mga2
+ Revision: 215590
- new version

* Tue Jan 10 2012 wally <wally> 0.5.1.95-1.mga2
+ Revision: 194560
- new version 0.5.1.95
- clean BRs
- clean .spec a bit
- new version 0.5
- enable polkit support
- clean .spec

* Tue Mar 01 2011 eandry <eandry> 0.5-0.20110228.2.mga1
+ Revision: 61978
- fix Requires

* Mon Feb 28 2011 eandry <eandry> 0.5-0.20110228.1.mga1
+ Revision: 61873
- Test disabling parallel make
- Test disabling make check
- New git snapshot 20110228
  BR polkit-devel
- use provided .autogen.sh, autoreconf fails
- update files list
- Requires usb-modeswitch
- BR ppp-devel
- clean spec
- imported package modemmanager


* Sun Jul 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.4-1mdv2011.0
+ Revision: 554818
- fix unpackaged files
- buildrequires intltool
- buildrequires gettext-devel
- new version

* Wed Jan 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3-1mdv2010.1
+ Revision: 494267
- Fix BuildRequires
- Update to new version 0.3

* Wed Nov 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2-0.20090826.1mdv2010.1
+ Revision: 464873
- Import package based on Fedora's package
- create modemmanager

